Bug 1420284 - [CFME] db:migrate warning 'supports_feature_mixin.rb:103: warning: key :terminate is duplicated and overwritten on line 111'
Summary: [CFME] db:migrate warning 'supports_feature_mixin.rb:103: warning: key :termi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Marcel Hild
QA Contact: luke couzens
URL:
Whiteboard: black:migration
: 1433196 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 11:04 UTC by Krishna Babu K
Modified: 2017-04-12 14:37 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 14:37:18 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Description Krishna Babu K 2017-02-08 11:04:41 UTC
Description of problem:
 $ rake db:migrate , is giving warning about duplicate entry ':terminate => 'Terminate a VM' in supports_feature_mixin.rb file

Version-Release number of selected component (if applicable):
cfme-5.7.1.1-1.el7cf.x86_64

How reproducible:


Steps to Reproduce:
1. bin/rake db:migrate
2.
3.

Actual results:
multiple entries for  :terminate key in supports_feature_mixin.rb file at line 103 and 111

Expected results:


Additional info:

Comment 4 Marcel Hild 2017-02-13 13:24:10 UTC
Hey, thanks for reporting. This is not really a problem but annoying.

https://github.com/ManageIQ/manageiq/pull/13883 fixes this and its euwe only.

Is it enough if you update the target of this BZ?

Comment 5 Archit Sharma 2017-02-17 10:06:43 UTC
Hi, 

(In reply to Marcel Hild from comment #4)
> Hey, thanks for reporting. This is not really a problem but annoying.
> 
> https://github.com/ManageIQ/manageiq/pull/13883 fixes this and its euwe only.
> 
> Is it enough if you update the target of this BZ?

Thanks for the PR ref. 

Our framework for cfme performance was facing an issue due to this problem: https://github.com/redhat-performance/cfme-performance/issues/4

Just adding.. it's not directly affecting CFME functionality, but as you said, annoying for frameworks that work on metadata from rails console. In our case, due to absence of a CLI with CFME, we act on data produce from rails console commands executed remotely from cfme-performance's workload.

Comment 6 luke couzens 2017-03-22 22:00:33 UTC
Verified in 5.7.2.0

Comment 7 Marcel Hild 2017-03-23 14:52:41 UTC
*** Bug 1433196 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2017-04-12 14:37:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.